View Issue Details

IDProjectCategoryView StatusLast Update
0005366SOGoWeb Generalpublic2021-08-05 09:16
Reporterakimov Assigned Tofrancis  
PriorityhighSeveritymajorReproducibilityalways
Status feedbackResolutionreopened 
Platform[Server] LinuxOSRHEL/CentOSOS Version7
Product Version5.1.1 
Summary0005366: Unable to login while change user password
Description

Hi. If i change user's password in AD or freeipa, users unable to login until memcached restart

Steps To Reproduce
  1. Install sogo
  2. Configure it on ldap-authentication
  3. Change user's password
  4. Try to login
TagsNo tags attached.

Activities

francis

francis

2021-08-04 13:48

administrator   ~0015406

This is normal. You should adapt your external processes to cleanup the memcached database when changing a user password.

akimov

akimov

2021-08-05 09:16

reporter   ~0015407

  1. freeipa or active directory does not contain any functionality to reload cache in memcached
  2. this instance of memcached server only used by sogo.service
  3. restarting memcached to fix this issuce causes many erorrs like:
    Aug 05 13:26:29 sogod [18181]: <0x0x55a3fc761720[SOGoCache]> an error occurred when caching value for key 'kazakov+dn': "SERVER HAS FAILED AND IS DISABLED UNTIL TIMED RETRY"
    Aug 05 13:26:29 sogod [18181]: <0x0x55a3fc761720[SOGoCache]> an error occurred when caching value for key 'kazakov+attributes': "SERVER HAS FAILED AND IS DISABLED UNTIL TIMED RETRY"
    Aug 05 13:26:29 sogod [18181]: <0x0x55a3fc761720[SOGoCache]> an error occurred when caching value for key 'kazakov+attributes': "SERVER HAS FAILED AND IS DISABLED UNTIL TIMED RETRY"
    Aug 05 13:26:29 sogod [18181]: <0x0x55a3fc761720[SOGoCache]> an error occurred when caching value for key 'kazakov@atsaero.ru+attributes': "SERVER HAS FAILED AND IS DISABLED UNTIL TIMED RETRY"
    Aug 05 13:26:29 sogod [18181]: <0x0x55a3fc761720[SOGoCache]> an error occurred when caching value for key 'kazakov+defaults': "SERVER HAS FAILED AND IS DISABLED UNTIL TIMED RETRY"
    Aug 05 13:26:29 sogod [18181]: <0x0x55a3fc761720[SOGoCache]> an error occurred when caching value for key 'kazakov+settings': "SERVER HAS FAILED AND IS DISABLED UNTIL TIMED RETRY"
    Aug 05 13:26:29 sogod [14207]: <0x0x55a3fc867a30[SOGoCache]> an error occurred when caching value for key '/Users/kazakov/Calendar/personal': "SERVER HAS FAILED AND IS DISABLED UNTIL TIMED RETRY"
    Aug 05 13:26:29 sogod [14207]: <0x0x55a3fc867a30[SOGoCache]> an error occurred when caching value for key '/Users/kazakov/Contacts/personal': "SERVER HAS FAILED AND IS DISABLED UNTIL TIMED RETRY"
    Aug 05 13:26:30 sogod [18181]: <0x0x55a3fc761720[SOGoCache]> an error occurred when caching value for key '/Users/kazakov/Calendar/personal': "SERVER HAS FAILED AND IS DISABLED UNTIL TIMED RETRY"
    Aug 05 13:26:30 sogod [18181]: <0x0x55a3fc761720[SOGoCache]> an error occurred when caching value for key '/Users/kazakov/Contacts/personal': "SERVER HAS FAILED AND IS DISABLED UNTIL TIMED RETRY"
    Aug 05 13:26:30 sogod [14207]: <0x0x55a3fc867a30[SOGoCache]> an error occurred when caching value for key '/Users/kazakov/Calendar/personal': "SERVER HAS FAILED AND IS DISABLED UNTIL TIMED RETRY"
    Aug 05 13:26:30 sogod [18181]: <0x0x55a3fc761720[SOGoCache]> an error occurred when caching value for key '/Users/kazakov/Calendar/personal': "SERVER HAS FAILED AND IS DISABLED UNTIL TIMED RETRY"
  4. flush_all to memcached socket does not fix problem with password
    So, how can i fix this?

Issue History

Date Modified Username Field Change
2021-07-29 01:39 akimov New Issue
2021-08-04 13:48 francis Assigned To => francis
2021-08-04 13:48 francis Status new => closed
2021-08-04 13:48 francis Resolution open => won't fix
2021-08-04 13:48 francis Note Added: 0015406
2021-08-05 09:16 akimov Status closed => feedback
2021-08-05 09:16 akimov Resolution won't fix => reopened
2021-08-05 09:16 akimov Note Added: 0015407